AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Get refunds

List refunds on your account. Use the query filters to narrow the results.

Last updated 13 September 2026

get

https://api.flutterwave.com/v3/refunds

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

from string
This is the specified date to start the list from. YYYY-MM-DD

to string
The is the specified end period for the search . YYYY-MM-DD

status string
This is the status for the queried refunds, Expected values include: successful, failed and completed.

currency string
This is the specified currency to charge in. All currencies supported by Flutterwave can be passed here. You can check our Currency listing for more details.

flw_ref string
This is the unique reference for the refund transaction. It can be retrieved from the initial refund response as flw_ref

id string
This is a unique transaction identifier generated by our systems. It is returned in the initiate charge and verify transaction responses as data.id.

FILL IN ALL REQUIRED FIELDS

status string

message string

meta object

FILL IN ALL REQUIRED FIELDS

page_info object

FILL IN ALL REQUIRED FIELDS

total integer

current_page integer

total_pages integer

page_size integer

data array of objects

FILL IN ALL REQUIRED FIELDS

id integer

amount_refunded integer

status string

flw_ref string

comment string

settlement_id string

meta string

created_at string

account_id integer

transaction_id integer

FILL IN ALL REQUIRED FIELDS

status string

message string

data string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys